version: '3'

services:
  forum.crowdsoft.net:
    build: .
    container_name: "forum.crowdsoft.net"
    environment:
      - DB_DRIVER=${DB_DRIVER}
      - DB_HOST=${DB_HOST}
      - DB_USER=${DB_USER}
      - DB_PASSWORD=${DB_PASSWORD}
      - DB_PORT=${DB_PORT}
      - DB_NAME=${DB_NAME}
    ports:
      - "80:80"
    volumes:
      - ./www:/var/www/html
    domainname: localhost
    restart: always
  db:
    image: mysql:5.7
    container_name: "communityforum-db"
    volumes:
      - ./db:/var/lib/mysql
    environment:
      MYSQL_DATABASE: ${DB_NAME}
      MYSQL_ROOT_PASSWORD: ${DB_PASSWORD}
 